datablock fxDTSBrickData(brick1xS_TrackData : brick8x8fData)
{
	brickFile = "./bricks/straightTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightTrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Straight Track";

	isTrainTrack = 1;
	pattern = "|";
	connections = "N S";
};

datablock fxDTSBrickData(brick1xSSmall_TrackData : brick4x8fData)
{
	brickFile = "./bricks/straightTrackSmall.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightTrackSmall";
	category = "Special";
	subCategory = "Trains";
	uiName = "Half Straight Track";

	isTrainTrack = 1;
	pattern = "|";
	connections = "N S";
};

datablock fxDTSBrickData(brick1xSLong_TrackData : brick8x16fData)
{
	brickFile = "./bricks/straightTrackLong.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightTrackLong";
	category = "Special";
	subCategory = "Trains";
	uiName = "Double Straight Track";

	isTrainTrack = 1;
	pattern = "|";
	connections = "N S";
};

datablock fxDTSBrickData(brickRamp_TrackData : brick8x8fData)
{
	brickFile = "./bricks/rampTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/rampTrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Ramped Track";

	isTrainTrack = 1;
	pattern = "|";
	connections = "N S";
};

datablock fxDTSBrickData(brickRampSmall_TrackData : brick4x8fData)
{
	brickFile = "./bricks/rampTrackHalf.blb";
	iconName = "Add-Ons/Server_Railroad/icons/rampTrackHalf";
	category = "Special";
	subCategory = "Trains";
	uiName = "Half Ramped Track";

	isTrainTrack = 1;
	pattern = "|";
	connections = "N S";
};

datablock fxDTSBrickData(brickRampLong_TrackData : brick8x16fData)
{
	brickFile = "./bricks/rampTrackDouble.blb";
	iconName = "Add-Ons/Server_Railroad/icons/rampTrackDouble";
	category = "Special";
	subCategory = "Trains";
	uiName = "Double Ramped Track";

	isTrainTrack = 1;
	pattern = "|";
	connections = "N S";
};

datablock fxDTSBrickData(brick1xD_TrackData : brick8x8fData)
{
	brickFile = "./bricks/diagonalTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalTrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Diagonal Track";

	isTrainTrack = 1;
	pattern = "/";
	connections = "NE SW";
};

datablock fxDTSBrickData(brick1xDSmall_TrackData : brick4x4fData)
{
	brickFile = "./bricks/diagonalTrackHalf.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalTrackHalf";
	category = "Special";
	subCategory = "Trains";
	uiName = "Half Diagonal Track";

	isTrainTrack = 1;
	pattern = "/";
	connections = "NE SW";
};

datablock fxDTSBrickData(brickLeftTurn_TrackData : brick16x16fData)
{
	brickFile = "./bricks/leftTurnTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/leftTurnTrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Left Turn Track";

	isTrainTrack = 1;
	pattern = "TL";
	connections = "NW S";
};

datablock fxDTSBrickData(brickRightTurn_TrackData : brick16x16fData)
{
	brickFile = "./bricks/rightTurnTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/rightTurnTrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Right Turn Track";

	isTrainTrack = 1;
	pattern = "TR";
	connections = "NE S";
};

datablock fxDTSBrickData(brickStraightY_TrackData : brick16x16fData)
{
	brickFile = "./bricks/straightYTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightYtrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Straight Y Track";

	isTrainTrack = 1;
	pattern = "Y";
	connections = "S NW NE";
};

datablock fxDTSBrickData(brickDiagonalY_TrackData : brick16x16fData)
{
	brickFile = "./bricks/diagonalYTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalYtrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Diagonal Y Track";

	isTrainTrack = 1;
	pattern = "/Y";
	connections = "SW N E";
};

datablock fxDTSBrickData(brickStraightLeftTurn_TrackData : brick16x16fData)
{
	brickFile = "./bricks/straightLeftTurnTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightleftturntrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Left Turnoff Track";

	isTrainTrack = 1;
	pattern = "";
	connections = "S NW N";
};

datablock fxDTSBrickData(brickStraightRightTurn_TrackData : brick16x16fData)
{
	brickFile = "./bricks/straightRightTurnTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightrightturntrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Right Turnoff Track";

	isTrainTrack = 1;
	pattern = "";
	connections = "S N NE";
};

datablock fxDTSBrickData(brickDiagonalLeftTurn_TrackData : brick16x16fData)
{
	brickFile = "./bricks/diagonalLeftTurnTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalleftturntrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Diagonal Left Turnoff Track";

	isTrainTrack = 1;
	pattern = "";
	connections = "SW N NE";
};

datablock fxDTSBrickData(brickDiagonalRightTurn_TrackData : brick16x16fData)
{
	brickFile = "./bricks/diagonalRightTurnTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalRightTurnTrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Diagonal Right Turnoff Track";

	isTrainTrack = 1;
	pattern = "";
	connections = "SW NE E";
};

datablock fxDTSBrickData(brickStraightSplit_TrackData : brick16x16fData)
{
	brickFile = "./bricks/straightSplit.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightsplittrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Straight Split Track";

	isTrainTrack = 1;
	pattern = "";
	connections = "S NW N NE";
};

datablock fxDTSBrickData(brickDiagonalSplit_TrackData : brick16x16fData)
{
	brickFile = "./bricks/diagonalSplit.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalsplittrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Diagonal Split Track";

	isTrainTrack = 1;
	pattern = "";
	connections = "SW N NE E";
};


////crossing////


datablock fxDTSBrickData(brickStraightCrossing_TrackData : brick16x16fData)
{
	brickFile = "./bricks/straightCrossingTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightCrossingTrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Straight Crossing";

	isTrainTrack = 1;
	pattern = "";
	isCrossing = 1;
	connections = "S N w E";
};

datablock fxDTSBrickData(brickDiagonalCrossing_TrackData : brick16x16fData)
{
	brickFile = "./bricks/diagonalCrossingTrack.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalCrossingTrack";
	category = "Special";
	subCategory = "Trains";
	uiName = "Diagonal Crossing";

	isTrainTrack = 1;
	pattern = "";
	isCrossing = 1;
	connections = "SW NE Nw SE";
};

datablock fxDTSBrickData(brickStraightSlashRight_TrackData : brick16x16fData)
{
	brickFile = "./bricks/straightSlashTrackRight.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightSlashTrackRight";
	category = "Special";
	subCategory = "Trains";
	uiName = "Right Slash Crossing";

	isTrainTrack = 1;
	pattern = "";
	isCrossing = 1;
	connections = "SW NE S N";
};

datablock fxDTSBrickData(brickStraightSlashLeft_TrackData : brick16x16fData)
{
	brickFile = "./bricks/straightSlashTrackLeft.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightSlashTrackLeft";
	category = "Special";
	subCategory = "Trains";
	uiName = "Left Slash Crossing";

	isTrainTrack = 1;
	pattern = "";
	isCrossing = 1;
	connections = "NW SE S N";
};