////Y Switches

datablock fxDTSBrickData(brickStraightY_SwitchL_TrackData)
{
	brickFile = "./bricks/straightYTrackSwitchL.blb";
	uiName = "Straight Y Switch";

	isTrainTrack = 1;
	pattern = "Y";
	connections = "S NW NE";
	blocked = "2";
	switchBrick0 = "brickStraightY_SwitchL_TrackData";
	switchBrick1 = "brickStraightY_SwitchL_TrackData";
	switchBrick2 = "brickStraightY_SwitchR_TrackData";
};

datablock fxDTSBrickData(brickStraightY_SwitchR_TrackData : brickStraightY_SwitchL_TrackData)
{
	brickFile = "./bricks/straightYTrackSwitchR.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightYtrackswitch";
	category = "Special";
	subCategory = "Trains Switches";

	blocked = "1";
};

////////////////////

datablock fxDTSBrickData(brickDiagonalY_SwitchL_TrackData)
{
	brickFile = "./bricks/diagonalYTrackSwitchL.blb";
	uiName = "Diagonal Y Switch";

	isTrainTrack = 1;
	pattern = "/Y";
	connections = "SW N E";
	blocked = "2";
	switchBrick0 = "brickDiagonalY_SwitchL_TrackData";
	switchBrick1 = "brickDiagonalY_SwitchL_TrackData";
	switchBrick2 = "brickDiagonalY_SwitchR_TrackData";
};

datablock fxDTSBrickData(brickDiagonalY_SwitchR_TrackData : brickDiagonalY_SwitchL_TrackData)
{
	brickFile = "./bricks/diagonalYTrackSwitchR.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalYtrackswitch";
	category = "Special";
	subCategory = "Trains Switches";

	blocked = "1";
};




////Left Turnoff

datablock fxDTSBrickData(brickStraightLeftTurn_SwitchL_TrackData)
{
	brickFile = "./bricks/straightLeftTurnTrackSwitchL.blb";
	uiName = "Left Turnoff Switch";

	isTrainTrack = 1;
	pattern = "";
	connections = "S NW N";
	blocked = "2";
	switchBrick0 = "brickStraightLeftTurn_SwitchL_TrackData";
	switchBrick1 = "brickStraightLeftTurn_SwitchS_TrackData";
	switchBrick2 = "brickStraightLeftTurn_SwitchS_TrackData";
};

datablock fxDTSBrickData(brickStraightLeftTurn_SwitchS_TrackData : brickStraightLeftTurn_SwitchL_TrackData)
{
	brickFile = "./bricks/straightLeftTurnTrackSwitchS.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightleftturntrackswitch";
	category = "Special";
	subCategory = "Trains Switches";

	blocked = "1";
};

////////////////////

datablock fxDTSBrickData(brickDiagonalLeftTurn_SwitchL_TrackData)
{
	brickFile = "./bricks/diagonalLeftTurnTrackSwitchL.blb";
	uiName = "Diagonal Left Turnoff Switch";

	isTrainTrack = 1;
	pattern = "";
	connections = "SW N NE";
	blocked = "2";
	switchBrick0 = "brickDiagonalLeftTurn_SwitchL_TrackData";
	switchBrick1 = "brickDiagonalLeftTurn_SwitchS_TrackData";
	switchBrick2 = "brickDiagonalLeftTurn_SwitchS_TrackData";
};

datablock fxDTSBrickData(brickDiagonalLeftTurn_SwitchS_TrackData : brickDiagonalLeftTurn_SwitchL_TrackData)
{
	brickFile = "./bricks/diagonalLeftTurnTrackSwitchS.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalleftturntrackswitch";
	category = "Special";
	subCategory = "Trains Switches";

	blocked = "1";
};




////Right Turnoff

datablock fxDTSBrickData(brickStraightRightTurn_SwitchS_TrackData)
{
	brickFile = "./bricks/straightRightTurnTrackSwitchS.blb";
	uiName = "Right Turnoff Switch";

	isTrainTrack = 1;
	pattern = "";
	connections = "S N NE";
	blocked = "2";
	switchBrick0 = "brickStraightRightTurn_SwitchS_TrackData";
	switchBrick1 = "brickStraightRightTurn_SwitchS_TrackData";
	switchBrick2 = "brickStraightRightTurn_SwitchR_TrackData";
};

datablock fxDTSBrickData(brickStraightRightTurn_SwitchR_TrackData : brickStraightRightTurn_SwitchS_TrackData)
{
	brickFile = "./bricks/straightRightTurnTrackSwitchR.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightrightturntrackswitch";
	category = "Special";
	subCategory = "Trains Switches";

	blocked = "1";
};

////////////////////

datablock fxDTSBrickData(brickDiagonalRightTurn_SwitchS_TrackData)
{
	brickFile = "./bricks/diagonalRightTurnTrackSwitchS.blb";
	uiName = "Diagonal Right Turnoff Switch";

	isTrainTrack = 1;
	pattern = "";
	connections = "SW NE E";
	blocked = "2";
	switchBrick0 = "brickDiagonalRightTurn_SwitchS_TrackData";
	switchBrick1 = "brickDiagonalRightTurn_SwitchS_TrackData";
	switchBrick2 = "brickDiagonalRightTurn_SwitchR_TrackData";
};

datablock fxDTSBrickData(brickDiagonalRightTurn_SwitchR_TrackData : brickDiagonalRightTurn_SwitchS_TrackData)
{
	brickFile = "./bricks/diagonalRightTurnTrackSwitchR.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalRightTurnTrackswitch";
	category = "Special";
	subCategory = "Trains Switches";

	blocked = "1";
};




////Splits

datablock fxDTSBrickData(brickStraightSplit_SwitchL_TrackData)
{
	brickFile = "./bricks/straightSplitSwitchL.blb";
	uiName = "Straight Split Switch";

	isTrainTrack = 1;
	pattern = "";
	connections = "S NW N NE";
	blocked = "2 3";
	switchBrick0 = "brickStraightSplit_SwitchL_TrackData";
	switchBrick1 = "brickStraightSplit_SwitchS_TrackData";
	switchBrick2 = "brickStraightSplit_SwitchR_TrackData";
};

datablock fxDTSBrickData(brickStraightSplit_SwitchS_TrackData : brickStraightSplit_SwitchL_TrackData)
{
	brickFile = "./bricks/straightSplitSwitchS.blb";

	blocked = "1 3";
};

datablock fxDTSBrickData(brickStraightSplit_SwitchR_TrackData : brickStraightSplit_SwitchL_TrackData)
{
	brickFile = "./bricks/straightSplitSwitchR.blb";
	iconName = "Add-Ons/Server_Railroad/icons/straightsplittrackswitch";
	category = "Special";
	subCategory = "Trains Switches";

	blocked = "1 2";
};

////////////////////

datablock fxDTSBrickData(brickDiagonalSplit_SwitchL_TrackData)
{
	brickFile = "./bricks/diagonalSplitSwitchL.blb";
	uiName = "Diagonal Split Switch";

	isTrainTrack = 1;
	pattern = "";
	connections = "SW N NE E";
	blocked = "2 3";
	switchBrick0 = "brickDiagonalSplit_SwitchL_TrackData";
	switchBrick1 = "brickDiagonalSplit_SwitchS_TrackData";
	switchBrick2 = "brickDiagonalSplit_SwitchR_TrackData";
};

datablock fxDTSBrickData(brickDiagonalSplit_SwitchS_TrackData : brickDiagonalSplit_SwitchL_TrackData)
{
	brickFile = "./bricks/diagonalSplitSwitchS.blb";

	blocked = "1 3";
};

datablock fxDTSBrickData(brickDiagonalSplit_SwitchR_TrackData : brickDiagonalSplit_SwitchL_TrackData)
{
	brickFile = "./bricks/diagonalSplitSwitchR.blb";
	iconName = "Add-Ons/Server_Railroad/icons/diagonalsplittrackswitch";
	category = "Special";
	subCategory = "Trains Switches";

	blocked = "1 2";
};